Get an object storage bucket
import requests
url = "https://platform.ankra.app/api/v1/org/object-storage-buckets/{bucket_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/object-storage-buckets/{bucket_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/object-storage-buckets/{bucket_id} \
--header 'Authorization: Bearer <token>'{
"bucket": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"endpoint": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"path_style": true,
"provider": "hetzner",
"region": "<string>",
"status": "provisioning",
"updated_at": "2023-11-07T05:31:56Z",
"error_excerpt": "<string>"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Object Storage Buckets
Get an object storage bucket
Bearer PAT authentication; RBAC permission credentials.read (read-class). Key material is never returned.
GET
/
api
/
v1
/
org
/
object-storage-buckets
/
{bucket_id}
Get an object storage bucket
import requests
url = "https://platform.ankra.app/api/v1/org/object-storage-buckets/{bucket_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/object-storage-buckets/{bucket_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/object-storage-buckets/{bucket_id} \
--header 'Authorization: Bearer <token>'{
"bucket": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"endpoint": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"path_style": true,
"provider": "hetzner",
"region": "<string>",
"status": "provisioning",
"updated_at": "2023-11-07T05:31:56Z",
"error_excerpt": "<string>"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
PAT organisation override.
Path Parameters
The bucket's id.
Response
Successful response
An object storage bucket Ankra created on one of the organisation's provider credentials. Key material is never part of it.
The provider-side bucket name.
The provider credential the bucket was created with.
The S3 endpoint. Empty until provisioning knows it (an UpCloud endpoint exists only once its service does).
The Ankra-side name, unique in the organisation.
Available options:
hetzner, scaleway, digitalocean, upcloud Available options:
provisioning, ready, error Why provisioning or a teardown failed; present only in error.